import { EventEmitter, OnInit } from '@angular/core';
import { PrizmDay } from '../../@core/date-time/day';
import { PrizmDayRange } from '../../@core/date-time/day-range';
import { PrizmMonth } from '../../@core/date-time/month';
import { PrizmYear } from '../../@core/date-time/year';
import { PrizmBooleanHandler } from '../../types/handler';
import { PrizmMapper } from '../../types/mapper';
import { PrizmMarkerHandler } from '../../types/marker-handler';
import { PrizmWithOptionalMinMax } from '../../types/with-optional-min-max';
import { PrizmDayWithStatus, PrizmRangeState } from '../../@core';
import { PrizmAbstractTestId } from '../../abstract/interactive';
import * as i0 from "@angular/core";
export declare class PrizmCalendarComponent extends PrizmAbstractTestId implements PrizmWithOptionalMinMax<PrizmDay>, OnInit {
    month: PrizmMonth;
    value: PrizmDayRange | PrizmDay | null;
    disabledItemHandler: PrizmBooleanHandler<PrizmDay>;
    min: PrizmDay;
    daysWithStatus: PrizmDayWithStatus[];
    max: PrizmDay;
    minViewedMonth: PrizmMonth;
    maxViewedMonth: PrizmMonth;
    hoveredItem: PrizmDay | null;
    showAdjacent: boolean;
    markerHandler: PrizmMarkerHandler;
    rangeState: PrizmRangeState;
    readonly dayClick: EventEmitter<PrizmDay>;
    readonly monthChange: EventEmitter<PrizmMonth>;
    readonly hoveredItemChange: EventEmitter<PrizmDay | null>;
    readonly testId_ = "ui_calendar";
    year: PrizmYear | null;
    clickedMonth: PrizmMonth | null;
    readonly disabledItemHandlerMapper: PrizmMapper<PrizmBooleanHandler<PrizmDay>, PrizmBooleanHandler<PrizmDay>>;
    get computedMinViewedMonth(): PrizmMonth;
    get computedMaxViewedMonth(): PrizmMonth;
    ngOnInit(): void;
    onPaginationYearClick(year: PrizmYear): void;
    onPaginationMonthClick(month: PrizmMonth): void;
    onPickerYearClick({ year }: PrizmYear): void;
    onPickerMonthClick({ month }: PrizmMonth): void;
    onPaginationValueChange(month: PrizmMonth): void;
    onDayClick(day: PrizmDay): void;
    onHoveredItemChange(day: PrizmDay | null): void;
    private updateViewedMonth;
    private updateHoveredDay;
    private doMonthCorrection;
    private isMonthInRange;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmCalendarComponent, "prizm-calendar", never, { "month": { "alias": "month"; "required": false; }; "value": { "alias": "value"; "required": false; }; "disabledItemHandler": { "alias": "disabledItemHandler"; "required": false; }; "min": { "alias": "min"; "required": false; }; "daysWithStatus": { "alias": "daysWithStatus"; "required": false; }; "max": { "alias": "max"; "required": false; }; "minViewedMonth": { "alias": "minViewedMonth"; "required": false; }; "maxViewedMonth": { "alias": "maxViewedMonth"; "required": false; }; "hoveredItem": { "alias": "hoveredItem"; "required": false; }; "showAdjacent": { "alias": "showAdjacent"; "required": false; }; "markerHandler": { "alias": "markerHandler"; "required": false; }; "rangeState": { "alias": "rangeState"; "required": false; }; }, { "dayClick": "dayClick"; "monthChange": "monthChange"; "hoveredItemChange": "hoveredItemChange"; }, never, ["[footer]", "[header]"], true, never>;
}
