import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PrizmOverlayOutsidePlacement } from '../../modules';
import { BehaviorSubject } from 'rxjs';
import { PrizmDestroyService, PrizmIdentityMatcherDirective, PrizmStringifyDirective } from '@prizm-ui/helpers';
import { PrizmAbstractTestId } from '../../abstract/interactive';
import { PrizmInputLayoutComponent } from '../input';
import * as i0 from "@angular/core";
export declare class PrizmChipsComponent<T = any> extends PrizmAbstractTestId implements ControlValueAccessor, OnInit, OnDestroy, AfterViewInit {
    private readonly cdRef;
    private readonly destroy$;
    size: 's' | 'l';
    set chips(data: T[]);
    deletable: boolean;
    singleLine: boolean;
    hintCanShow: boolean;
    hintDirection: PrizmOverlayOutsidePlacement;
    addChipEvent: EventEmitter<T>;
    removeChipEvent: EventEmitter<T>;
    clickChipEvent: EventEmitter<T>;
    readonly testId_ = "ui_chips";
    readonly layoutComponent: PrizmInputLayoutComponent | null;
    accessorIsDisabled: boolean;
    readonly stringifyDirective: PrizmStringifyDirective<any> | null;
    readonly identityMatcherDirective: PrizmIdentityMatcherDirective<any> | null;
    chipsList$: BehaviorSubject<T[]>;
    private subscription;
    constructor(cdRef: ChangeDetectorRef, destroy$: PrizmDestroyService);
    onChange: (value: unknown) => void;
    onTouched: (value: unknown) => void;
    get chipsList(): T[];
    set chipsList(data: T[]);
    addChips(chipName: T): void;
    removeChips(event: MouseEvent, idx: number, item: T): void;
    identityMatcher(a: T, b: T): boolean;
    stringify(a: T): string | undefined;
    chipClick(chipName: T): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    writeValue(data: T[]): void;
    setDisabledState(isDisabled: boolean): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    joinHints(hints: null | T[]): string;
    ngAfterViewInit(): void;
    trackByIdx(idx: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmChipsComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmChipsComponent<any>, "prizm-chips", never, { "size": { "alias": "size"; "required": false; }; "chips": { "alias": "chips"; "required": false; }; "deletable": { "alias": "deletable"; "required": false; }; "singleLine": { "alias": "singleLine"; "required": false; }; "hintCanShow": { "alias": "hintCanShow"; "required": false; }; "hintDirection": { "alias": "hintDirection"; "required": false; }; }, { "addChipEvent": "addChipEvent"; "removeChipEvent": "removeChipEvent"; "clickChipEvent": "clickChipEvent"; }, never, never, true, never>;
}
