import { Observable } from 'rxjs';
import { PrizmAnimationOptions } from '../../../animations';
import { PrizmDestroyService } from '@prizm-ui/helpers';
import { PrizmBaseDialogContext, PrizmDialogButton, PrizmDialogOptions, PrizmDialogSize } from './dialog.models';
import { PolymorphContent } from '../../../directives';
import { PrizmAbstractTestId } from '../../../abstract/interactive';
import { PrizmTheme } from '@prizm-ui/theme';
import * as i0 from "@angular/core";
export declare class PrizmDialogComponent<O = unknown, DATA = unknown> extends PrizmAbstractTestId {
    private readonly duration;
    readonly close$: Observable<unknown>;
    private readonly destroy$;
    context: PrizmBaseDialogContext<O, PrizmDialogOptions<O, DATA>>;
    close: () => void;
    get theme(): PrizmTheme;
    get size(): PrizmDialogSize;
    get id(): string;
    get slideInTop(): PrizmAnimationOptions;
    readonly testId_ = "ui_overlay";
    readonly width = "100%";
    get testId(): string;
    set testId(value: string);
    get isFooterArray(): boolean;
    readonly BUTTONS: PrizmDialogButton<O, PrizmDialogOptions<O, DATA>>[];
    get footer(): PolymorphContent<PrizmBaseDialogContext<O, PrizmDialogOptions<O, DATA>>> | PrizmDialogButton<O, PrizmDialogOptions<O, DATA>>[];
    private readonly animation;
    private readonly iconsFullRegistry;
    constructor(duration: number, close$: Observable<unknown>, destroy$: PrizmDestroyService);
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmDialogComponent<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmDialogComponent<any, any>, "prizm-dialog", never, { "context": { "alias": "context"; "required": false; }; "close": { "alias": "close"; "required": false; }; }, {}, never, never, true, never>;
}
