import { Observable } from 'rxjs';
import { PrizmAnimationOptions } from '../../../animations';
import { PrizmDestroyService } from '@prizm-ui/helpers';
import { PrizmBaseDialogContext, PrizmDialogSize } from '../dialog';
import { PrizmSidebarOptions, PrizmSidebarResultDefaultType } from './sidebar.models';
import { PrizmAbstractTestId } from '../../../abstract/interactive';
import { PrizmTheme } from '@prizm-ui/theme';
import { PrizmLanguageDialogs } from '@prizm-ui/i18n';
import * as i0 from "@angular/core";
export declare class PrizmSidebarComponent<DATA = unknown> extends PrizmAbstractTestId {
    private readonly duration;
    readonly close$: Observable<unknown>;
    readonly dictionary$: Observable<PrizmLanguageDialogs['dialog']>;
    private readonly destroy$;
    context: PrizmBaseDialogContext<PrizmSidebarResultDefaultType, PrizmSidebarOptions<DATA>>;
    close: () => void;
    get theme(): PrizmTheme;
    get size(): PrizmDialogSize;
    get id(): string;
    get fullWidth(): boolean;
    get fullHeight(): boolean;
    get slideInTop(): PrizmAnimationOptions;
    get testId(): string;
    set testId(value: string);
    readonly testId_ = "ui_area--sidebar";
    private readonly animation;
    private readonly iconsFullRegistry;
    constructor(duration: number, close$: Observable<unknown>, dictionary$: Observable<PrizmLanguageDialogs['dialog']>, destroy$: PrizmDestroyService);
    closeSidebar(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmSidebarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmSidebarComponent<any>, "prizm-sidebar", never, { "context": { "alias": "context"; "required": false; }; "close": { "alias": "close"; "required": false; }; }, {}, never, never, true, never>;
}
