import { InjectionToken, Injector, ValueProvider } from '@angular/core';
import { PolymorphContent } from '../../../directives';
import { PrizmComboboxIdentityMatcher, PrizmComboboxMissingValueHandlerToken, PrizmComboboxStringify, PrizmComboboxValueContext, PrizmComboboxValueTransformer } from './combobox.model';
export type PrizmComboboxIconContext = {
    opened: boolean;
    disabled: boolean;
};
export interface PrizmComboboxOptions<T> {
    readonly items: unknown[];
    readonly icon: PolymorphContent<PrizmComboboxIconContext>;
    readonly placeholder: string;
    readonly stringify: PrizmComboboxStringify<T>;
    readonly emptyContent: PolymorphContent;
    readonly identityMatcher: PrizmComboboxIdentityMatcher<T>;
    readonly transformer: PrizmComboboxValueTransformer<T, unknown>;
    readonly minDropdownHeight: number;
    readonly autoReposition?: boolean;
    readonly search?: string;
    readonly maxDropdownHeight: number;
    readonly dropdownWidth: string;
    readonly valueContent: PolymorphContent<PrizmComboboxValueContext<T>>;
    readonly listItemTemplate: PolymorphContent<PrizmComboboxValueContext<T>>;
}
/** Default values for dropdown-host options */
export declare const PRIZM_COMBOBOX_DEFAULT_OPTIONS: PrizmComboboxOptions<unknown>;
export declare const PRIZM_COMBOBOX_SHOW_DROPDOWN_ON_EMPTY: InjectionToken<boolean>;
export declare const PRIZM_COMBOBOX_SELECT_MISSING_HANDLER: InjectionToken<PrizmComboboxMissingValueHandlerToken<unknown>>;
export declare function injectOptionalMissingValueHandler<T>(injector: Injector): PrizmComboboxMissingValueHandlerToken<T> | null;
export declare const PRIZM_COMBOBOX_OPTIONS: InjectionToken<PrizmComboboxOptions<unknown>>;
export declare const prizmComboboxOptionsProvider: (options: Partial<PrizmComboboxOptions<unknown>>) => ValueProvider;
