import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, Injector, OnDestroy, TemplateRef } from '@angular/core';
import { PrizmOverlayService } from '../../../modules/overlay';
import { PolymorphContent } from '../../../directives';
import { PrizmDestroyService } from '@prizm-ui/helpers';
import { BehaviorSubject, Observable } from 'rxjs';
import { PrizmDropdownHostOptions } from './dropdown-host.options';
import { PrizmDropdownHostClasses, PrizmDropdownHostContext, PrizmDropdownHostCustomContext, PrizmDropdownHostStyles, PrizmDropdownHostWidth } from './models';
import { PrizmOverlayOutsidePlacement } from '../../../modules/overlay/models';
import { PrizmAbstractTestId } from '../../../abstract/interactive';
import { PrizmDropdownHostControlDirective } from './dropdown-host-control.directive';
import { PrizmZoneEventService } from '../../../directives/zone-event/zone-event.service';
import { BooleanInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
export declare class PrizmDropdownHostComponent extends PrizmAbstractTestId implements AfterViewInit, OnDestroy {
    readonly prizmOverlayService: PrizmOverlayService;
    readonly zoneEventService: PrizmZoneEventService;
    readonly dropdownHostControlDirective: PrizmDropdownHostControlDirective | null;
    private readonly document;
    private readonly options;
    readonly el: ElementRef<HTMLElement>;
    private readonly cdRef;
    readonly injector: Injector;
    private readonly destroy$;
    content: PolymorphContent<PrizmDropdownHostContext>;
    prizmDropdownHostId: string;
    prizmDropdownCustomContext: PrizmDropdownHostCustomContext;
    delay: number;
    canOpen: boolean;
    closeByEsc: boolean;
    closeOnOutsideClick: boolean;
    prizmDropdownHost?: HTMLElement | null;
    set prizmDropdownHostWidth(width: PrizmDropdownHostWidth);
    get prizmDropdownHostWidth(): PrizmDropdownHostWidth;
    private _prizmDropdownHostWidth;
    readonly testId_ = "ui_dropdown_host";
    readonly itemForListener: Set<HTMLElement>;
    private destroyReCalc$;
    private _autoReposition;
    set autoReposition(state: boolean);
    get autoReposition(): boolean;
    private _placement;
    set placement(place: PrizmOverlayOutsidePlacement);
    get placement(): PrizmOverlayOutsidePlacement;
    set isOpen(state: BooleanInput);
    get isOpen(): boolean;
    private lastEmittedState;
    dropdownStyles: PrizmDropdownHostStyles;
    dropdownClasses: PrizmDropdownHostClasses;
    temp: TemplateRef<HTMLDivElement>;
    private get host();
    readonly isOpenChange: EventEmitter<boolean>;
    private overlay;
    protected isOpen$: BehaviorSubject<boolean>;
    private readonly positionSource$;
    readonly position$: Observable<string>;
    private position;
    readonly wrapper_class = "prizm-overlay-dropdown-host no-overflow";
    contentBlockRef: ElementRef;
    private readonly dropdownHostDirective;
    constructor(prizmOverlayService: PrizmOverlayService, zoneEventService: PrizmZoneEventService, dropdownHostControlDirective: PrizmDropdownHostControlDirective | null, document: Document, options: PrizmDropdownHostOptions, el: ElementRef<HTMLElement>, cdRef: ChangeDetectorRef, injector: Injector, destroy$: PrizmDestroyService);
    closeIfNeed(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    updateWidth(): void;
    private initClickListener;
    private closeOverlay;
    private openOverlay;
    open(): void;
    close(): void;
    toggle(): void;
    private initOverlay;
    reCalculatePositions(timeout?: number): void;
    private initPositionListener;
    addListenerItems(el: HTMLElement): void;
    removeListenerItems(el: HTMLElement): void;
    outsideClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmDropdownHostComponent, [null, null, { optional: true; host: true; }, null, null, null, null, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmDropdownHostComponent, "prizm-dropdown-host", ["prizm-dropdown-host"], { "content": { "alias": "content"; "required": false; }; "prizmDropdownHostId": { "alias": "prizmDropdownHostId"; "required": false; }; "prizmDropdownCustomContext": { "alias": "prizmDropdownCustomContext"; "required": false; }; "delay": { "alias": "delay"; "required": false; }; "canOpen": { "alias": "canOpen"; "required": false; }; "closeByEsc": { "alias": "closeByEsc"; "required": false; }; "closeOnOutsideClick": { "alias": "closeOnOutsideClick"; "required": false; }; "prizmDropdownHost": { "alias": "prizmDropdownHost"; "required": false; }; "prizmDropdownHostWidth": { "alias": "prizmDropdownHostWidth"; "required": false; }; "autoReposition": { "alias": "autoReposition"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "isOpen": { "alias": "isOpen"; "required": false; }; "dropdownStyles": { "alias": "dropdownStyles"; "required": false; }; "dropdownClasses": { "alias": "dropdownClasses"; "required": false; }; }, { "isOpenChange": "isOpenChange"; }, never, ["*"], true, never>;
}
