import { ChangeDetectorRef, ElementRef, EmbeddedViewRef, EventEmitter, Injector, Renderer2, ViewContainerRef } from '@angular/core';
import { PrizmDestroyService, PrizmDisabledDirective } from '@prizm-ui/helpers';
import { PrizmTreeSelectIsOpenedDirective } from '../../tree-select/tree-select-is-opened.directive';
import { BehaviorSubject } from 'rxjs';
import { PrizmIconsFullRegistry } from '@prizm-ui/icons/core';
import { PrizmAbstractTestId } from '@prizm-ui/core';
import { PrizmTreeMultiSelectItemDirective } from './tree-multi-select-item.directive';
import { PrizmTreeMultiSelectSearchDirective } from '../search';
import { PrizmTreeMultiSelectSelectedDirective } from '../tree-select-multi-selected.directive';
import { PrizmTreeMultiSelectModeDirective } from '../mode';
import * as i0 from "@angular/core";
import * as i1 from "@prizm-ui/helpers";
export declare class PrizmTreeMultiSelectItemComponent<K> extends PrizmAbstractTestId {
    get opened(): boolean;
    set opened(value: boolean);
    get value(): any;
    openedChange: EventEmitter<boolean>;
    readonly testId_ = "ui_tree_multi_select_item";
    children: any[];
    readonly checkboxPosition: import("../tree-multi-select-checkbox.directive").PrizmInputTreeMultiSelectCheckboxPosition;
    childrenElements: Set<PrizmTreeMultiSelectItemComponent<K>>;
    cdRef: ChangeDetectorRef;
    parents: PrizmTreeMultiSelectItemDirective[];
    protected treeSelectSearchDirective: PrizmTreeMultiSelectSearchDirective<any>;
    treeSelectItemDirective: PrizmTreeMultiSelectItemDirective<any>;
    readonly treeSelectIsOpenedDirective: PrizmTreeSelectIsOpenedDirective<any>;
    protected readonly childrenOpened$$: BehaviorSubject<boolean>;
    protected readonly iconsFullRegistry: PrizmIconsFullRegistry;
    protected readonly dropdownController: BehaviorSubject<boolean>;
    protected readonly treeSelectSelectedDirective: PrizmTreeMultiSelectSelectedDirective<any>;
    readonly destroy: PrizmDestroyService;
    protected readonly injector: Injector;
    readonly elementRef: ElementRef<any>;
    protected readonly renderer2: Renderer2;
    protected readonly treeMultiSelectModeDirective: PrizmTreeMultiSelectModeDirective | null;
    protected readonly parent: PrizmTreeMultiSelectItemComponent<any> | null;
    protected readonly disabledDirective: PrizmDisabledDirective;
    level: number;
    hasChildren: boolean;
    readonly viewContainerRef: ViewContainerRef;
    protected renderedChildren: EmbeddedViewRef<any>[];
    protected toggleSelectedStateAfterClick(mouseEvent: MouseEvent): void;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected initChildrenOpener(): void;
    hasSelectedChildren(): boolean;
    hasAllSelectedChildren(): boolean;
    openIfHasSelectedChildren(): void;
    initControllerOnSearch(): void;
    /**
     * @public api
     * */
    select(): void;
    private _select;
    protected safeUpdateParentState(): void;
    protected safeUnselectChildren(): void;
    unselect(): void;
    unselectSelf(): void;
    unselectChildren(): void;
    /**
     * @public api
     * */
    toggleSelected(): void;
    /**
     * @public api
     * */
    toggle(): void;
    /**
     * @public api
     * */
    open(): void;
    /**
     * @public api
     * */
    close(): void;
    /**
     * @public api
     * */
    hide(): void;
    /**
     * @public api
     * */
    show(): void;
    protected onToggle(event: MouseEvent): void;
    protected isSelected(): boolean;
    protected isSelected$(): import("rxjs").Observable<boolean>;
    protected isParentSelected(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmTreeMultiSelectItemComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmTreeMultiSelectItemComponent<any>, "prizm-input-tree-multi-select-item", never, {}, { "openedChange": "openedChange"; }, never, ["*"], true, [{ directive: typeof i1.PrizmDisabledDirective; inputs: { "disabled": "disabled"; }; outputs: { "disabledChange": "disabledChange"; }; }]>;
}
