import { ElementRef, Injector, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PrizmStringifyFunc } from '@prizm-ui/helpers';
import { PrizmInputNgControl } from '../../input';
import { BehaviorSubject, Subject } from 'rxjs';
import { PrizmDataListDirective } from '../../data-list';
import { PrizmNativeFocusableElement } from '../../../types/focusable-element-accessor';
import { PrizmDropdownControllerDirective } from '../../../directives';
import { PrizmTreeMultiSelectSelectedDirective } from './tree-select-multi-selected.directive';
import { PrizmIconsFullRegistry } from '@prizm-ui/icons/core';
import { PrizmTreeSelectStringifyDirective } from '../tree-select';
import * as i0 from "@angular/core";
import * as i1 from "./tree-select-multi-selected.directive";
import * as i2 from "../../../directives/dropdown-controller/dropdown-controller.directive";
import * as i3 from "../tree-select/tree-select-empty-text.directive";
import * as i4 from "../tree-select/tree-select-search-label.directive";
import * as i5 from "../tree-select/tree-select-identity-matcher.directive";
import * as i6 from "../tree-select/tree-select-stringify.directive";
import * as i7 from "./search/tree-multi-select-search.directive";
import * as i8 from "../tree-select/tree-select-get-children.directive";
import * as i9 from "../tree-select/tree-select-is-opened.directive";
export declare class PrizmInputTreeMultiSelectComponent<T = any> extends PrizmInputNgControl<T[] | null> implements ControlValueAccessor, OnInit {
    private readonly injector_;
    searchable: boolean;
    hidden: boolean;
    get button_layout_width(): 64 | 90;
    dataListDirective?: PrizmDataListDirective;
    get display(): string;
    get emptyChips(): boolean;
    icon: string | null;
    placeholder: string;
    get size(): string;
    get inner(): boolean;
    isChipsDeletable: boolean;
    readonly defaultIcon = "triangle-down";
    private readonly destroy;
    readonly treeSelectSelectedDirective: PrizmTreeMultiSelectSelectedDirective<T>;
    readonly opened$$: BehaviorSubject<boolean>;
    readonly treeSelectStringifyDirective: PrizmTreeSelectStringifyDirective<T>;
    readonly dropdownControllerDirective: PrizmDropdownControllerDirective;
    readonly opened$: import("rxjs").Observable<boolean>;
    readonly focusableElement?: ElementRef<HTMLInputElement>;
    readonly focused$$: Subject<boolean>;
    readonly focused$: import("rxjs").Observable<boolean>;
    readonly clickable = true;
    get empty(): boolean;
    readonly nativeElementType = "tree-select";
    readonly hasClearButton = true;
    currentValue: any;
    protected readonly selectedItemsChips$: import("rxjs").Observable<T[]>;
    get nativeFocusableElement(): PrizmNativeFocusableElement | null;
    get focused(): import("rxjs").Observable<boolean>;
    readonly iconsFullRegistry: PrizmIconsFullRegistry;
    constructor(injector_: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    protected initParentClickListener(): void;
    writeValue(obj: T[] | null): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    clear(): void;
    removeChip(item: T): void;
    readonly chipsStringify: PrizmStringifyFunc<T>;
    safeOpenModal(): void;
    changeParentFocusedClass(add: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmInputTreeMultiSelectComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmInputTreeMultiSelectComponent<any>, "prizm-input-tree-multi-select", ["prizmInputTreeMultiSelect"], { "icon": { "alias": "icon"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "isChipsDeletable": { "alias": "isChipsDeletable"; "required": false; }; }, {}, ["dataListDirective"], never, true, [{ directive: typeof i1.PrizmTreeMultiSelectSelectedDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmDropdownControllerDirective; inputs: { "prizmDropdownAlign": "prizmDropdownAlign"; "prizmDropdownLimitWidth": "prizmDropdownLimitWidth"; "prizmDropdownMinHeight": "prizmDropdownMinHeight"; "prizmDropdownMaxHeight": "prizmDropdownMaxHeight"; }; outputs: {}; }, { directive: typeof i3.PrizmTreeSelectEmptyTextDirective; inputs: { "emptyListTemplate": "emptyListTemplate"; }; outputs: {}; }, { directive: typeof i4.PrizmTreeSelectSearchLabelDirective; inputs: { "searchLabel": "searchLabel"; }; outputs: {}; }, { directive: typeof i5.PrizmTreeSelectIdentityMatcherDirective; inputs: { "identityMatcher": "identityMatcher"; }; outputs: {}; }, { directive: typeof i6.PrizmTreeSelectStringifyDirective; inputs: { "stringify": "stringify"; }; outputs: {}; }, { directive: typeof i7.PrizmTreeMultiSelectSearchDirective; inputs: { "searchable": "searchable"; "searchFilter": "searchFilter"; "searchMapper": "searchMapper"; "searchMatcher": "searchMatcher"; "searchDebounce": "searchDebounce"; "searchPlaceholder": "searchPlaceholder"; }; outputs: { "searched": "searched"; }; }, { directive: typeof i8.PrizmTreeSelectGetChildrenDirective; inputs: { "getChildren": "getChildren"; }; outputs: {}; }, { directive: typeof i9.PrizmTreeSelectIsOpenedDirective; inputs: { "isOpened": "isOpened"; }; outputs: {}; }]>;
}
