import { ElementRef, EmbeddedViewRef, EventEmitter, Injector, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import { PrizmAbstractTestId } from '@prizm-ui/core';
import { PrizmIconsFullRegistry } from '@prizm-ui/icons/core';
import { PrizmTreeSelectItemDirective } from './tree-select-item.directive';
import { BehaviorSubject } from 'rxjs';
import { PrizmDestroyService, PrizmDisabledDirective } from '@prizm-ui/helpers';
import { PrizmTreeSelectSelectedDirective } from '../tree-select-selected.directive';
import { PrizmTreeSelectIsOpenedDirective } from '../tree-select-is-opened.directive';
import { PrizmTreeSelectSearchDirective } from '../search';
import * as i0 from "@angular/core";
import * as i1 from "@prizm-ui/helpers";
export declare class PrizmTreeSelectItemComponent<T> extends PrizmAbstractTestId implements OnInit {
    get opened(): boolean;
    set opened(value: boolean);
    get value(): any;
    openedChange: EventEmitter<boolean>;
    readonly testId_ = "ui_tree_select_item";
    children: any[];
    parents: any[];
    protected treeSelectSearchDirective: PrizmTreeSelectSearchDirective<any>;
    treeSelectItemDirective: PrizmTreeSelectItemDirective<any>;
    readonly treeSelectIsOpenedDirective: PrizmTreeSelectIsOpenedDirective<any>;
    protected readonly childrenOpened$$: BehaviorSubject<boolean>;
    protected readonly iconsFullRegistry: PrizmIconsFullRegistry;
    protected readonly dropdownController: BehaviorSubject<boolean>;
    protected readonly treeSelectSelectedDirective: PrizmTreeSelectSelectedDirective<any>;
    readonly destroy: PrizmDestroyService;
    protected readonly injector: Injector;
    readonly elementRef: ElementRef<any>;
    protected readonly renderer2: Renderer2;
    protected readonly parent: PrizmTreeSelectItemComponent<any> | null;
    protected readonly disabledDirective: PrizmDisabledDirective;
    level: number;
    hasChildren: boolean;
    readonly viewContainerRef: ViewContainerRef;
    protected renderedChildren: EmbeddedViewRef<any>[];
    _select(mouseEvent: MouseEvent): void;
    constructor();
    ngOnInit(): void;
    protected initChildrenOpener(): void;
    openIfHasSelectedChildren(): void;
    initControllerOnSearch(): void;
    /**
     * @public api
     * */
    select(): void;
    /**
     * @public api
     * */
    toggle(): void;
    /**
     * @public api
     * */
    open(): void;
    /**
     * @public api
     * */
    close(): void;
    /**
     * @public api
     * */
    hide(): void;
    /**
     * @public api
     * */
    show(): void;
    protected onToggle(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmTreeSelectItemComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmTreeSelectItemComponent<any>, "prizm-input-tree-select-item", never, {}, { "openedChange": "openedChange"; }, never, ["*"], true, [{ directive: typeof i1.PrizmDisabledDirective; inputs: { "disabled": "disabled"; }; outputs: { "disabledChange": "disabledChange"; }; }]>;
}
