import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { PrizmMapSubject } from '@prizm-ui/helpers';
import { PrizmTreeSelectItemComponent } from '../items/tree-select-item.component';
import * as i0 from "@angular/core";
export declare class PrizmTreeSelectSearchDirective<T = any> implements OnInit, OnDestroy {
    searchable: boolean;
    searchMatcher: (search: string, item: T) => boolean;
    searchMapper: (search: string) => Observable<string>;
    searchFilter: (search: string) => Observable<boolean>;
    searchDebounce: number;
    searchPlaceholder: string;
    private readonly onSearch$$;
    private readonly destroy;
    private readonly treeSelectGetChildrenDirective;
    protected readonly mapWithItemsVisibleState: PrizmMapSubject<PrizmTreeSelectItemComponent<T>, boolean>;
    searched: EventEmitter<string>;
    private _query;
    get query(): string;
    readonly validQuery$: Observable<boolean>;
    private readonly _onSearch$;
    readonly showedCount$: Observable<number>;
    readonly empty$: Observable<boolean>;
    hasEmptyList$: Observable<boolean>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * @public api
     * */
    clear(): void;
    /**
     * @public api
     * */
    search(str: string): void;
    isSearchedItem(search: string, item: T): boolean;
    hasSearchedChildren(search: string, item: T): boolean;
    initItemUpdaterOnSearch<T>(el: PrizmTreeSelectItemComponent<T>): Observable<string>;
    private clearCounter;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmTreeSelectSearchDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PrizmTreeSelectSearchDirective<any>, "[prizmInputTreeSelectSearch]", ["prizmInputTreeSelectSearch"], { "searchable": { "alias": "searchable"; "required": false; }; "searchMatcher": { "alias": "searchMatcher"; "required": false; }; "searchMapper": { "alias": "searchMapper"; "required": false; }; "searchFilter": { "alias": "searchFilter"; "required": false; }; "searchDebounce": { "alias": "searchDebounce"; "required": false; }; "searchPlaceholder": { "alias": "searchPlaceholder"; "required": false; }; }, { "searched": "searched"; }, never, never, true, never>;
}
