import { ElementRef, Injector, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PrizmInputNgControl } from '../../input';
import { BehaviorSubject } from 'rxjs';
import { PrizmDataListDirective } from '../../data-list';
import { PrizmNativeFocusableElement } from '../../../types/focusable-element-accessor';
import { PrizmTreeSelectSelectedDirective } from './tree-select-selected.directive';
import { PrizmTreeSelectStringifyDirective } from './tree-select-stringify.directive';
import { PrizmDropdownControllerDirective } from '../../../directives';
import { PrizmIconsFullRegistry } from '@prizm-ui/icons/core';
import * as i0 from "@angular/core";
import * as i1 from "./tree-select-selected.directive";
import * as i2 from "../../../directives/dropdown-controller/dropdown-controller.directive";
import * as i3 from "./tree-select-empty-text.directive";
import * as i4 from "./tree-select-search-label.directive";
import * as i5 from "./tree-select-identity-matcher.directive";
import * as i6 from "./search/tree-select-search.directive";
import * as i7 from "./tree-select-get-children.directive";
import * as i8 from "./tree-select-is-opened.directive";
import * as i9 from "./tree-select-stringify.directive";
export declare class PrizmInputTreeSelectComponent<T = any> extends PrizmInputNgControl<T | null> implements ControlValueAccessor, OnInit {
    private readonly injector_;
    searchable: boolean;
    dataListDirective?: PrizmDataListDirective;
    placeholder: string;
    icon: string | null;
    readonly defaultIcon = "triangle-down";
    private readonly destroy;
    readonly treeSelectSelectedDirective: PrizmTreeSelectSelectedDirective<any>;
    readonly opened$$: BehaviorSubject<boolean>;
    readonly treeSelectStringifyDirective: PrizmTreeSelectStringifyDirective<any>;
    readonly dropdownControllerDirective: PrizmDropdownControllerDirective;
    readonly opened$: import("rxjs").Observable<boolean>;
    readonly focusableElement?: ElementRef<HTMLInputElement>;
    readonly clickable = true;
    readonly nativeElementType = "tree-select";
    readonly hasClearButton = true;
    currentValue: T | null;
    get nativeFocusableElement(): PrizmNativeFocusableElement | null;
    get focused(): boolean;
    readonly iconsFullRegistry: PrizmIconsFullRegistry;
    constructor(injector_: Injector);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(obj: T | null): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmInputTreeSelectComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmInputTreeSelectComponent<any>, "prizm-input-tree-select", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; }, {}, ["dataListDirective"], never, true, [{ directive: typeof i1.PrizmTreeSelectSelectedDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmDropdownControllerDirective; inputs: { "prizmDropdownAlign": "prizmDropdownAlign"; "prizmDropdownLimitWidth": "prizmDropdownLimitWidth"; "prizmDropdownMinHeight": "prizmDropdownMinHeight"; "prizmDropdownMaxHeight": "prizmDropdownMaxHeight"; }; outputs: {}; }, { directive: typeof i3.PrizmTreeSelectEmptyTextDirective; inputs: { "emptyListTemplate": "emptyListTemplate"; }; outputs: {}; }, { directive: typeof i4.PrizmTreeSelectSearchLabelDirective; inputs: { "searchLabel": "searchLabel"; }; outputs: {}; }, { directive: typeof i5.PrizmTreeSelectIdentityMatcherDirective; inputs: { "identityMatcher": "identityMatcher"; }; outputs: {}; }, { directive: typeof i6.PrizmTreeSelectSearchDirective; inputs: { "searchable": "searchable"; "searchFilter": "searchFilter"; "searchMapper": "searchMapper"; "searchMatcher": "searchMatcher"; "searchDebounce": "searchDebounce"; "searchPlaceholder": "searchPlaceholder"; }; outputs: { "searched": "searched"; }; }, { directive: typeof i7.PrizmTreeSelectGetChildrenDirective; inputs: { "getChildren": "getChildren"; }; outputs: {}; }, { directive: typeof i8.PrizmTreeSelectIsOpenedDirective; inputs: { "isOpened": "isOpened"; }; outputs: {}; }, { directive: typeof i9.PrizmTreeSelectStringifyDirective; inputs: { "stringify": "stringify"; }; outputs: {}; }]>;
}
