import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, Injector, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { PrizmInputControl } from '../base/input-control.class';
import { PrizmInputStatusTextDirective } from '../input-status-text/input-status-text.directive';
import { PrizmInputPosition, PrizmInputSize, PrizmInputStatus } from '../models/prizm-input.models';
import { PolymorphContent } from '../../../../directives/polymorph';
import { PrizmLetDirective } from '@prizm-ui/helpers';
import { PrizmAbstractTestId } from '../../../../abstract/interactive';
import { PrizmLanguageInputLayout } from '@prizm-ui/i18n';
import * as i0 from "@angular/core";
export type PrizmInputLayoutClearButtonContext = {
    clear: (event: MouseEvent) => void;
    disabled: boolean;
    showStatusButton: boolean;
};
export declare class PrizmInputLayoutComponent extends PrizmAbstractTestId implements OnInit, OnChanges, AfterViewInit {
    private readonly injector;
    readonly el: ElementRef<HTMLElement>;
    readonly inputLayout$: Observable<PrizmLanguageInputLayout['inputLayout']>;
    private readonly focusedClass;
    set label(val: string | null);
    get label(): string;
    size: PrizmInputSize;
    status: PrizmInputStatus;
    outer: boolean;
    clearButton: PolymorphContent<PrizmInputLayoutClearButtonContext>;
    hideClearButtonHint: boolean | null;
    border: boolean;
    position: PrizmInputPosition;
    forceClear: boolean | null;
    clear: EventEmitter<MouseEvent>;
    letDirective: PrizmLetDirective<{
        focused: boolean;
        disabled: boolean;
        empty: boolean;
        touched: boolean;
        invalid: boolean;
        required: boolean;
    }>;
    get hasHiddenControl(): boolean;
    get isClickable(): boolean;
    get hasTextarea(): boolean;
    testId_: string;
    protected readonly isPolymorphPrimitive: <T = any>(content: PolymorphContent<T>) => boolean;
    readonly label$: BehaviorSubject<string | null>;
    get showClearButton(): boolean;
    control: PrizmInputControl<any>;
    inputStatusText: PrizmInputStatusTextDirective;
    statusIcon: string;
    statusMessage: PolymorphContent | null;
    get disabled(): boolean | undefined;
    get enabled(): boolean;
    private readonly innerClick$$;
    readonly innerClick$: Observable<MouseEvent>;
    readonly cdr: ChangeDetectorRef;
    private readonly destroy$;
    private foundStatusDirective;
    readonly changes$: Subject<void>;
    get correctedStatus(): PrizmInputStatus;
    get emptyLabel(): boolean;
    get showStatusButton(): boolean;
    readonly onClearClick: (event: MouseEvent) => void;
    private readonly iconsFullRegistry;
    private readonly renderer2;
    constructor(injector: Injector, el: ElementRef<HTMLElement>, inputLayout$: Observable<PrizmLanguageInputLayout['inputLayout']>);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private actualizeStatusIcon;
    protected innerClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmInputLayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmInputLayoutComponent, "prizm-input-layout", never, { "label": { "alias": "label"; "required": false; }; "size": { "alias": "size"; "required": false; }; "status": { "alias": "status"; "required": false; }; "outer": { "alias": "outer"; "required": false; }; "clearButton": { "alias": "clearButton"; "required": false; }; "hideClearButtonHint": { "alias": "hideClearButtonHint"; "required": false; }; "border": { "alias": "border"; "required": false; }; "position": { "alias": "position"; "required": false; }; "forceClear": { "alias": "forceClear"; "required": false; }; }, { "clear": "clear"; }, ["control", "inputStatusText"], ["[prizm-input-left]", "*", "[prizm-input-in-body]", "[prizm-input-right]", "[prizm-input-bottom]", "[prizm-input-subtext]"], false, never>;
}
