import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { PrizmInputControl } from '../common';
import { NgControl } from '@angular/forms';
import { PrizmDestroyService } from '@prizm-ui/helpers';
import { PrizmDecimal } from '@prizm-ui/core';
import * as i0 from "@angular/core";
export declare class PrizmInputNumberComponent extends PrizmInputControl<number> implements OnInit {
    readonly ngControl: NgControl;
    private readonly el;
    private hasSymbol;
    readonly destroy$: PrizmDestroyService;
    get empty(): boolean;
    get required(): boolean;
    private readonly inputHint;
    focused: import("rxjs").Observable<boolean>;
    get invalid(): boolean;
    get valid(): boolean;
    get touched(): boolean;
    nativeElementType: string;
    hasClearButton: boolean;
    placeholder?: string;
    title: string;
    min: number | null;
    max: number | null;
    decimal: PrizmDecimal;
    precision: number;
    step: number;
    get value(): number;
    onClear: EventEmitter<MouseEvent>;
    readonly testId_ = "ui_input_number";
    private readonly input$$;
    get disabled(): boolean;
    stopValue(ev: KeyboardEvent): boolean;
    onInput(data: string): void;
    private readonly iconsFullRegistry;
    constructor(ngControl: NgControl, el: ElementRef<HTMLInputElement>);
    private detectSymbols;
    clear(ev: MouseEvent): void;
    private markAsTouched;
    increment(): void;
    decrement(): void;
    onArrowDown(event: KeyboardEvent): void;
    onArrowUp(event: KeyboardEvent): void;
    private get hostValue();
    private set hostValue(value);
    private safeNgControlData;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private initUpdateParentOnChangeStatus;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmInputNumberComponent, [{ self: true; }, { host: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmInputNumberComponent, "input[prizmInputNumber], input[type=number][prizmInput]", ["prizmInputNumber"], { "placeholder": { "alias": "placeholder"; "required": false; }; "title": { "alias": "title"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "precision": { "alias": "precision"; "required": false; }; "step": { "alias": "step"; "required": false; }; }, { "onClear": "onClear"; }, never, never, true, never>;
}
