import { DoCheck, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { NgControl } from '@angular/forms';
import { PrizmInputLayoutComponent } from '../common';
import { PrizmInputControl } from '../common/base/input-control.class';
import * as i0 from "@angular/core";
export declare class PrizmInputTextComponent<VALUE extends string | number | null = string> extends PrizmInputControl<VALUE> implements DoCheck, OnInit, OnDestroy {
    get prizmHint(): VALUE;
    get disabled(): boolean;
    /**
     * @deprecated
     * Disabled input
     */
    set disabled(value: boolean);
    hidden: boolean;
    private _disabled;
    placeholder?: string;
    /**
     * @deprecated
     * Required input
     */
    get required(): boolean;
    set required(value: boolean);
    private _required;
    invalid: boolean;
    readonly testId_ = "ui_input_text";
    /**
     * Input value input
     */
    get value(): VALUE;
    /**
     * @deprecated
     */
    set value(value: VALUE);
    private get _inputValue();
    enter: EventEmitter<any>;
    onClear: EventEmitter<MouseEvent>;
    /** @deprecated */
    valueChanged: EventEmitter<VALUE>;
    /**
     * Empty state
     */
    empty: boolean;
    readonly parentLayout: PrizmInputLayoutComponent | null;
    /**
     * Focus state
     */
    focused: boolean;
    /**
     * Touched state
     */
    _touched: boolean;
    get touched(): boolean;
    hasClearButton: boolean;
    nativeElementType: string;
    private readonly inputHint;
    private readonly renderer2_;
    readonly ngControl: NgControl | null;
    readonly elementRef: ElementRef<HTMLInputElement | HTMLTextAreaElement>;
    private readonly destroy;
    private readonly cdr;
    /**
     * Create instance
     */
    constructor();
    ngOnInit(): void;
    private safeClearListener;
    ngOnDestroy(): void;
    private onFocus;
    private onBlur;
    private onEnter;
    private initControlListener;
    private updateEmptyState;
    private updateErrorState;
    /** Update `<input>` value */
    private updateValue;
    clear(event: MouseEvent): void;
    focus(): void;
    markControl(options: {
        touched?: boolean;
        dirty?: boolean;
    }): void;
    markAsTouched(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmInputTextComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmInputTextComponent<any>, "input[prizmInput]:not([type=number]), textarea[prizmInput], input[prizmInputPassword]", ["prizmInput"], { "disabled": { "alias": "disabled"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "required": { "alias": "required"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "enter": "enter"; "onClear": "onClear"; "valueChanged": "valueChanged"; }, never, never, true, never>;
}
