import { ElementRef, Injector } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { PrizmYear } from '../../../@core/date-time/year';
import { PrizmInputDateOptions } from '../../../tokens/input-date-options';
import { PrizmDateButton } from '../../../types/date-button';
import { PrizmBooleanHandler } from '../../../types/handler';
import { PrizmInputNgControl } from '../common';
import * as i0 from "@angular/core";
export declare class PrizmInputLayoutYearComponent extends PrizmInputNgControl<PrizmYear | null> {
    private readonly options;
    readonly hasClearButton = true;
    readonly nativeElementType = "input-number";
    readonly testId_ = "ui_input_year";
    readonly focusableElement?: ElementRef<HTMLInputElement>;
    min: PrizmYear;
    extraButtonInjector: Injector;
    placeholder: string;
    max: PrizmYear;
    disabledItemHandler: PrizmBooleanHandler<number>;
    open: boolean;
    rightButtons$: BehaviorSubject<PrizmDateButton[]>;
    protected year: PrizmYear | null;
    get interactive(): boolean;
    private readonly iconsFullRegistry;
    constructor(options: PrizmInputDateOptions, injector: Injector);
    get nativeFocusableElement(): HTMLInputElement | null;
    get focused(): boolean;
    get calendarIcon(): PrizmInputDateOptions['icon'];
    onValueChange(value: number): void;
    onYearClick(year: PrizmYear): void;
    onOpenChange(open: boolean): void;
    safeOpenModal(): void;
    private getCorrectedYear;
    private close;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmInputLayoutYearComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmInputLayoutYearComponent, "prizm-input-layout-year", never, { "min": { "alias": "min"; "required": false; }; "extraButtonInjector": { "alias": "extraButtonInjector"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "max": { "alias": "max"; "required": false; }; "disabledItemHandler": { "alias": "disabledItemHandler"; "required": false; }; }, {}, never, never, true, never>;
}
