import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { PrizmDay } from '../../../@core/date-time/day';
import { PrizmDayRange } from '../../../@core/date-time/day-range';
import { PrizmDayWithStatus } from '../../../@core/date-time/day-with-status';
import { PrizmMonth } from '../../../@core/date-time/month';
import { PrizmRangeState } from '../../../@core/enums';
import { PrizmInteractiveState } from '../../../directives/wrapper';
import { PRIZM_WEEK_DAYS_NAMES } from '../../../tokens/ordered-short-week-days';
import { PrizmColor } from '../../../types/color';
import { PrizmBooleanHandler } from '../../../types/handler';
import { PrizmMarkerHandler } from '../../../types/marker-handler';
import { PrizmAbstractTestId } from '../../../abstract/interactive';
import * as i0 from "@angular/core";
export declare class PrizmPrimitiveCalendarComponent extends PrizmAbstractTestId {
    readonly weekDays$: Observable<PRIZM_WEEK_DAYS_NAMES>;
    pressedItem: PrizmDay | null;
    private readonly today;
    month: PrizmMonth;
    disabledItemHandler: PrizmBooleanHandler<PrizmDay>;
    markerHandler: PrizmMarkerHandler;
    value: PrizmDayRange | PrizmDay | null;
    daysWithStatus: PrizmDayWithStatus[];
    hoveredItem: PrizmDay | null;
    showAdjacent: boolean;
    readonly hoveredItemChange: EventEmitter<PrizmDay | null>;
    readonly dayClick: EventEmitter<PrizmDay>;
    readonly testId_ = "ui_primitive_calendar";
    constructor(weekDays$: Observable<PRIZM_WEEK_DAYS_NAMES>);
    get isSingle(): boolean;
    readonly toMarkers: (day: PrizmDay, today: boolean, inRange: boolean) => null | [PrizmColor | string] | [PrizmColor | string, PrizmColor | string];
    getItemState(item: PrizmDay): PrizmInteractiveState | null;
    getItemRange(item: PrizmDay): PrizmRangeState | null;
    itemIsToday(item: PrizmDay): boolean;
    itemIsUnavailable(item: PrizmDay): boolean;
    itemIsInterval(day: PrizmDay): boolean;
    onItemHovered(item: PrizmDay | false): void;
    onItemPressed(item: PrizmDay | false): void;
    onItemClick(item: PrizmDay): void;
    private updateHoveredItem;
    capitalizeFirstLetter(string: string): string;
    getDayStatus(day: PrizmDay, daysWithStatus: PrizmDayWithStatus[]): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmPrimitiveCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmPrimitiveCalendarComponent, "prizm-primitive-calendar", never, { "month": { "alias": "month"; "required": false; }; "disabledItemHandler": { "alias": "disabledItemHandler"; "required": false; }; "markerHandler": { "alias": "markerHandler"; "required": false; }; "value": { "alias": "value"; "required": false; }; "daysWithStatus": { "alias": "daysWithStatus"; "required": false; }; "hoveredItem": { "alias": "hoveredItem"; "required": false; }; "showAdjacent": { "alias": "showAdjacent"; "required": false; }; }, { "hoveredItemChange": "hoveredItemChange"; "dayClick": "dayClick"; }, never, ["[header]", "[footer]"], true, never>;
}
