import { ElementRef } from '@angular/core';
import { INavigationTree } from './../../navigation.interfaces';
import { BehaviorSubject, Observable } from 'rxjs';
import { ActiveNavigationItemService } from '../../services/active-navigation-item.service';
import { PrizmAbstractTestId } from '@prizm-ui/core';
import { ExpandedNavigationItemService } from '../../services/expanded-navigation.service';
import * as i0 from "@angular/core";
export declare class PrizmNavigationItemExpandableComponent extends PrizmAbstractTestId {
    activeItemService: ActiveNavigationItemService;
    expandedService: ExpandedNavigationItemService;
    container: ElementRef;
    deep: number;
    isExpanded: boolean;
    set data(tree: INavigationTree);
    readonly testId_ = "ui_navigation--item-expandable";
    data$: BehaviorSubject<INavigationTree | null>;
    isActive$: Observable<boolean>;
    get menuItem(): INavigationTree | null;
    private readonly iconsFullRegistry;
    constructor(activeItemService: ActiveNavigationItemService, expandedService: ExpandedNavigationItemService);
    toggle($event: Event): void;
    navClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmNavigationItemExpandableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmNavigationItemExpandableComponent, "prizm-navigation-item-expandable", never, { "deep": { "alias": "deep"; "required": false; }; "isExpanded": { "alias": "isExpanded"; "required": false; }; "data": { "alias": "data"; "required": false; }; }, {}, never, never, false, never>;
    static ngAcceptInputType_isExpanded: any;
}
