import { PrizmSwitcherType } from './../../switcher.interface';
import { PrizmAbstractTestId } from '../../../../abstract/interactive';
import { PolymorphContent } from '../../../../directives';
import { PrizmAppearanceDirective, PrizmAppearanceTypeDirective } from '@prizm-ui/helpers';
import { PrizmSwitcherFullWidthDirective } from '../../directives/switcher-full-width.directive';
import { PrizmSwitcherControlDirective } from '../../directives';
import * as i0 from "@angular/core";
import * as i1 from "../../directives/switcher-control.directive";
import * as i2 from "@prizm-ui/helpers";
import * as i3 from "../../../../directives/hint/hint.directive";
export declare class PrizmSwitcherItemComponent<T = unknown> extends PrizmAbstractTestId {
    get type(): PrizmSwitcherType;
    get size(): any;
    icon: PolymorphContent | null;
    value?: T;
    get isActive(): boolean;
    get isFullWidth(): import("@angular/cdk/coercion").BooleanInput;
    get isFirstChild(): boolean;
    get isLastChild(): boolean;
    selectHandler(): boolean;
    select(): boolean;
    protected updateControlState(): void;
    readonly testId_ = "ui_switcher_item";
    private readonly parentDisableDirective;
    protected readonly switcherControlDirective: PrizmSwitcherControlDirective;
    private readonly currentDisableDirective;
    private readonly syncChildDirective;
    private readonly destroy$;
    private readonly cdRef;
    readonly appearanceTypeDirective: PrizmAppearanceTypeDirective;
    readonly parentFullWidthDirective: PrizmSwitcherFullWidthDirective;
    readonly appearanceDirective: PrizmAppearanceDirective;
    private readonly switcherTypeDirective;
    get isDisabled(): boolean;
    private readonly currentIndexDirective;
    private readonly selectedIndexDirective;
    private readonly sizeDirective;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmSwitcherItemComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmSwitcherItemComponent<any>, "prizm-switcher-item", never, { "icon": { "alias": "icon"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, [{ directive: typeof i1.PrizmSwitcherControlDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmSyncChildDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmCurrentIndexDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmAddToStoreDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmAppearanceDirective; inputs: { "appearance": "appearance"; }; outputs: {}; }, { directive: typeof i2.PrizmDisabledDirective; inputs: { "disabled": "disabled"; }; outputs: {}; }, { directive: typeof i2.PrizmAppearanceTypeDirective; inputs: { "appearanceType": "appearanceType"; }; outputs: {}; }, { directive: typeof i3.PrizmHintDirective; inputs: { "prizmHint": "hint"; "prizmHintCanShow": "hintCanShow"; "prizmHintDirection": "hintDirection"; "prizmAutoReposition": "hintAutoReposition"; "prizmHintHideDelay": "hintHideDelay"; "prizmHintShowDelay": "hintShowDelay"; "prizmHintTheme": "hintTheme"; }; outputs: {}; }]>;
}
