import { AfterViewInit, ElementRef, OnChanges, ViewContainerRef } from '@angular/core';
import { PrizmSwitcherSize } from './switcher.interface';
import { PrizmAbstractTestId } from '../../abstract/interactive';
import * as i0 from "@angular/core";
import * as i1 from "@prizm-ui/helpers";
import * as i2 from "./directives/switcher-control.directive";
import * as i3 from "./directives/switcher-type.directive";
import * as i4 from "./directives/items/switcher-items.directive";
import * as i5 from "./directives/switcher-full-width.directive";
export declare class PrizmSwitcherComponent extends PrizmAbstractTestId implements AfterViewInit, OnChanges {
    container?: ElementRef<HTMLDivElement>;
    viewRef?: ViewContainerRef;
    size: PrizmSwitcherSize;
    private readonly allIndexesReady$;
    private readonly switcherViewContainer;
    private readonly selectFn;
    private readonly switcherContainer;
    readonly testId_ = "ui_switcher";
    private readonly syncParentDirective;
    ngAfterViewInit(): void;
    /**
     * @public api
     * safe select switcher by index
     */
    selectSwitcher(idx: number): boolean;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmSwitcherComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmSwitcherComponent, "prizm-switcher", never, { "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], true, [{ directive: typeof i1.PrizmSyncParentDirective; inputs: {}; outputs: {}; }, { directive: typeof i2.PrizmSwitcherControlDirective; inputs: {}; outputs: {}; }, { directive: typeof i1.PrizmSizeDirective; inputs: { "size": "size"; }; outputs: {}; }, { directive: typeof i3.PrizmSwitcherTypeDirective; inputs: { "type": "type"; }; outputs: {}; }, { directive: typeof i4.PrizmSwitcherItemsDirective; inputs: { "switchers": "switchers"; }; outputs: {}; }, { directive: typeof i5.PrizmSwitcherFullWidthDirective; inputs: { "fullWidth": "fullWidth"; }; outputs: {}; }, { directive: typeof i1.PrizmSelectedIndexDirective; inputs: { "selectedIndex": "selectedSwitcherIdx"; }; outputs: { "selectedIndexChange": "selectedSwitcherIdxChange"; }; }, { directive: typeof i1.PrizmDisabledDirective; inputs: {}; outputs: {}; }]>;
}
