import { AfterViewInit, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { PrizmSizeL, PrizmSizeM, PrizmSizeS, PrizmSizeXS, PrizmSizeXl } from '../../../util';
import { PrizmComparator, PrizmTableBorderStyle } from '../table.types';
import { AbstractPrizmController } from '../abstract/controller';
import { Observable } from 'rxjs';
import { PrizmTableCellSorter, PrizmTableSorterService } from '../service';
import { PrizmTableTreeService } from '../service/tree.service';
import { PrizmTableService } from '../table.service';
import * as i0 from "@angular/core";
import * as i1 from "@prizm-ui/helpers";
export declare class PrizmTableDirective<T extends Partial<Record<keyof T, unknown>>> extends AbstractPrizmController implements AfterViewInit {
    readonly tree: PrizmTableTreeService;
    readonly sorterService: PrizmTableSorterService<T>;
    readonly tableService: PrizmTableService;
    readonly entries$: Observable<IntersectionObserverEntry[]>;
    private readonly changeDetectorRef;
    private readonly columns$$;
    columns: ReadonlyArray<keyof T | string>;
    columns$: Observable<readonly (string | keyof T)[]>;
    size: PrizmSizeXS | PrizmSizeS | PrizmSizeL | PrizmSizeM | PrizmSizeXl;
    tableBorderStyle: PrizmTableBorderStyle;
    set sort(sorters: PrizmTableCellSorter<T>[]);
    get sort(): PrizmTableCellSorter<T>[];
    direction: -1 | 1;
    readonly directionChange: EventEmitter<1 | -1>;
    /**
     * @deprecated
     * */
    readonly sorterChange: EventEmitter<PrizmComparator<T> | null>;
    readonly sortChange: Observable<PrizmTableCellSorter<T>[]>;
    private readonly testIdDirective;
    constructor(tree: PrizmTableTreeService, sorterService: PrizmTableSorterService<T>, tableService: PrizmTableService, entries$: Observable<IntersectionObserverEntry[]>, changeDetectorRef: ChangeDetectorRef);
    sorter: PrizmComparator<T>;
    updateSorter(sorter: PrizmComparator<T> | null): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmTableDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PrizmTableDirective<any>, "table[prizmTable]", ["prizmTable"], { "columns": { "alias": "columns"; "required": false; }; "size": { "alias": "size"; "required": false; }; "tableBorderStyle": { "alias": "tableBorderStyle"; "required": false; }; "sort": { "alias": "sort"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "sorter": { "alias": "sorter"; "required": false; }; }, { "directionChange": "directionChange"; "sorterChange": "sorterChange"; "sortChange": "sortChange"; }, never, never, false, [{ directive: typeof i1.PrizmTestIdDirective; inputs: { "testId": "testId"; }; outputs: {}; }]>;
}
