import { ElementRef } from '@angular/core';
import { PrizmHeadDirective } from '../directives/head.directive';
import { PrizmTableDirective } from '../directives/table.directive';
import { PrizmTableCellSorter, PrizmTableCellSorterHandler, PrizmTableSorterService } from '../service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
import * as i1 from "@prizm-ui/helpers";
export declare class PrizmThComponent<T extends Partial<Record<keyof T, any>>> {
    private readonly head;
    readonly el: ElementRef<HTMLTableCellElement>;
    private readonly sorterService;
    readonly table: PrizmTableDirective<T> | null;
    sorter: PrizmTableCellSorterHandler<T> | null;
    resizable: boolean;
    sortable: boolean;
    width: number | null;
    get isSortable(): boolean;
    private readonly iconsFullRegistry;
    private readonly testIdDirective;
    constructor(head: PrizmHeadDirective<T> | null, el: ElementRef<HTMLTableCellElement>, sorterService: PrizmTableSorterService<T>, table: PrizmTableDirective<T> | null);
    get key(): keyof T;
    get isCurrent(): boolean;
    get idx(): number;
    get count(): number;
    get num(): number | null;
    get sortItem(): PrizmTableCellSorter<T>;
    get icon$(): Observable<string>;
    onResized(width: number): void;
    updateSorter(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmThComponent<any>, [{ optional: true; }, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmThComponent<any>, "th[prizmTh]", never, { "sorter": { "alias": "sorter"; "required": false; }; "resizable": { "alias": "resizable"; "required": false; }; "sortable": { "alias": "sortable"; "required": false; }; }, {}, never, ["*"], false, [{ directive: typeof i1.PrizmTestIdDirective; inputs: { "testId": "testId"; }; outputs: {}; }]>;
}
