import { ChangeDetectorRef } from '@angular/core';
import { PrizmAbstractTestId } from '../../abstract/interactive';
import { PrizmTime } from '../../@core';
import { Observable } from 'rxjs';
import { PrizmLanguageTimePicker } from '@prizm-ui/i18n';
import { PrizmTimePaginationState } from '../internal/primitive-time-pagination/types/types';
import { PrizmTimePickerInternalTime } from './types/types';
import * as i0 from "@angular/core";
export declare class PrizmTimePickerComponent extends PrizmAbstractTestId {
    readonly dictionary$: Observable<PrizmLanguageTimePicker['timePicker']>;
    private readonly cdr;
    timeChanged: import("@angular/core").OutputEmitterRef<PrizmTime>;
    canceled: import("@angular/core").OutputEmitterRef<void>;
    time: import("@angular/core").InputSignal<PrizmTime | undefined>;
    timeMode: import("@angular/core").InputSignal<"HH:MM" | "HH:MM:SS" | "HH">;
    minTime: import("@angular/core").InputSignal<PrizmTime | undefined>;
    maxTime: import("@angular/core").InputSignal<PrizmTime | undefined>;
    timeSheetState: import("@angular/core").WritableSignal<PrizmTimePaginationState>;
    internalTime: PrizmTimePickerInternalTime;
    readonly testId_ = "ui_time_picker";
    constructor(dictionary$: Observable<PrizmLanguageTimePicker['timePicker']>, cdr: ChangeDetectorRef);
    timeClicked(time: number): void;
    setValue(): void;
    cancel(): void;
    private updateinternalTime;
    private getCorrectedTime;
    private correctValueByMin;
    private correctValueByMax;
    private updateSheetStateOnModeChange;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmTimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PrizmTimePickerComponent, "prizm-time-picker", never, { "time": { "alias": "time"; "required": false; "isSignal": true; }; "timeMode": { "alias": "timeMode"; "required": false; "isSignal": true; }; "minTime": { "alias": "minTime"; "required": false; "isSignal": true; }; "maxTime": { "alias": "maxTime"; "required": false; "isSignal": true; }; }, { "timeChanged": "timeChanged"; "canceled": "canceled"; }, never, never, true, never>;
}
