import { ElementRef, EventEmitter, Injector, OnDestroy, OnInit, Type } from '@angular/core';
import { PolymorphContent } from '../polymorph';
import { PrizmHintContext, PrizmHintOptions } from './hint-options';
import { PrizmOverlayControl } from '../../modules/overlay';
import { BehaviorSubject, Subject } from 'rxjs';
import { PrizmTheme } from '@prizm-ui/theme';
import * as i0 from "@angular/core";
export declare const HINT_HOVERED_CLASS = "_hint_hovered";
export declare class PrizmHintDirective<OPTIONS extends PrizmHintOptions = PrizmHintOptions, CONTEXT extends PrizmHintContext = PrizmHintContext> implements OnInit, OnDestroy {
    protected readonly options: OPTIONS;
    protected readonly injector: Injector;
    prizmAutoReposition: PrizmHintOptions['autoReposition'];
    private readonly prizmHintDirection$$;
    prizmHintDirection: PrizmHintOptions['direction'];
    prizmHintId: string;
    private readonly prizmHintTheme$$;
    prizmHintTheme: PrizmTheme | null;
    prizmHintShowDelay: PrizmHintOptions['showDelay'];
    prizmHintHideDelay: PrizmHintOptions['hideDelay'];
    set prizmHintHost(host: HTMLElement | null);
    get prizmHintHost(): HTMLElement | null;
    private readonly prizmHintContext$$;
    prizmHintContext: Record<string, unknown>;
    prizmHintCanShow: boolean;
    set show(show: boolean);
    get show(): boolean;
    protected show_: boolean;
    set prizmHint(value: PolymorphContent | null);
    readonly prizmHoveredChange$$: Subject<boolean>;
    readonly prizmHintShowed: EventEmitter<boolean>;
    onHoverActive: boolean;
    private readonly content$$;
    set content(data: PolymorphContent);
    get content(): PolymorphContent;
    overlay?: PrizmOverlayControl;
    containerComponent: Type<unknown>;
    readonly show$: Subject<boolean>;
    protected readonly destroyListeners$: Subject<void>;
    private readonly prizmOverlayService;
    private readonly renderer;
    private readonly injectedContext;
    readonly elementRef: ElementRef<HTMLElement>;
    private readonly destroy$;
    private readonly hoveredService;
    readonly hintHost$$: BehaviorSubject<HTMLElement | null>;
    private readonly hintService;
    get id(): string | null;
    get host(): HTMLElement;
    ngOnInit(): void;
    private initDrawer;
    private initHoverListenerIfActive;
    private initPropsSyncer;
    protected initShowedChangeListener(): void;
    ngOnDestroy(): void;
    toggle(open: boolean): void;
    /**
     * @public api for support hint wrappers
     * */
    drawHint(): void;
    open(): void;
    close(): void;
    private initVisibleController;
    private initOverlayController;
    protected getContext(): CONTEXT;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmHintDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PrizmHintDirective<any, any>, "[prizmHint]:not(ng-container)", ["prizmHint"], { "prizmAutoReposition": { "alias": "prizmAutoReposition"; "required": false; }; "prizmHintDirection": { "alias": "prizmHintDirection"; "required": false; }; "prizmHintId": { "alias": "prizmHintId"; "required": false; }; "prizmHintTheme": { "alias": "prizmHintTheme"; "required": false; }; "prizmHintShowDelay": { "alias": "prizmHintShowDelay"; "required": false; }; "prizmHintHideDelay": { "alias": "prizmHintHideDelay"; "required": false; }; "prizmHintHost": { "alias": "prizmHintHost"; "required": false; }; "prizmHintContext": { "alias": "prizmHintContext"; "required": false; }; "prizmHintCanShow": { "alias": "prizmHintCanShow"; "required": false; }; "prizmHint": { "alias": "prizmHint"; "required": false; }; }, { "prizmHintShowed": "prizmHintShowed"; }, never, never, true, never>;
}
