import { ComponentRef, ViewRef } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { PrizmOverlayConfig, PrizmOverlayContent, PrizmOverlayContentData, PrizmOverlayContentProps, PrizmOverlayEventName, PrizmOverlayId } from './models';
import { PrizmOverlayAbstractPosition } from './position/position';
import { PrizmOverlayComponent } from './overlay.component';
import * as i0 from "@angular/core";
export declare class PrizmOverlayControl {
    position: PrizmOverlayAbstractPosition;
    readonly config: PrizmOverlayConfig;
    content: PrizmOverlayContent;
    zid: PrizmOverlayId;
    zIndex: number;
    comp: PrizmOverlayComponent | null;
    updateTextContent: Subject<string>;
    hostView: ViewRef | null;
    parentContainer: HTMLElement | null;
    compRef: ComponentRef<PrizmOverlayComponent>;
    viewEl: HTMLElement | null;
    isOpen: boolean;
    private compFac;
    private readonly destroy$$;
    readonly onDestroy$: Observable<void>;
    private readonly appRef;
    private readonly compResolver;
    private readonly injector;
    private readonly window;
    constructor();
    open(): void;
    close(): void;
    destroy(): void;
    toggle(): void;
    onEscClick(): Observable<any>;
    onDocumentClick(): Observable<any>;
    onWindowResize(): Observable<any>;
    changePosition(newPosition: PrizmOverlayAbstractPosition): void;
    updatePosition(positionConfig: PrizmOverlayAbstractPosition): void;
    updateContent(content: PrizmOverlayContentData, props?: PrizmOverlayContentProps): void;
    updateParentContainer(node: HTMLElement): void;
    listen<T = any>(eventName: PrizmOverlayEventName): Observable<T>;
    reCalculatePositions(): void;
    /**
     * @preview
     * method for update props for passed component
     * */
    updateProps<T>(props: Partial<T>): void;
    private isNotHostElement;
    private attach;
    private detach;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrizmOverlayControl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PrizmOverlayControl>;
}
