import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
export declare const PRIZM_FILE_UPLOAD: InjectionToken<Observable<{
    dropzone__title: string;
    dropzone__description: string;
    btn__select: string;
    btn__select_hint_error: string;
    file_size__byte: string;
    file_size__kb: string;
    file_size__mb: string;
    idle: string;
    progress: string;
    warning: string;
    success: string;
}>>;
export declare const PRIZM_INPUT_LAYOUT: InjectionToken<Observable<{
    required: string;
    pattern: string;
    min: string;
    max: string;
    clear: string;
}>>;
export declare const PRIZM_INPUT_LAYOUT_DATE_RELATIVE: InjectionToken<Observable<{
    wrongFormat: string;
}>>;
export declare const PRIZM_INPUT_LAYOUT_DATE_TIME: InjectionToken<Observable<{
    wrongFormat: string;
}>>;
export declare const PRIZM_INPUT_LAYOUT_DATE_TIME_RANGE: InjectionToken<Observable<{
    time: string;
}>>;
export declare const PRIZM_CRON: InjectionToken<Observable<{
    title: string;
    submitText: string;
    resetText: string;
    startDateLabel: string;
    endDateLabel: string;
    chooseYearLabel: string;
    indefinitelyLabel: string;
    switcherTitles: import("@prizm-ui/i18n").PrizmLanguageCronSwitcherTitles;
    every: string;
    to: string;
    at: string;
    second: string;
    secondSince: string;
    selectedSecond: string;
    everySecond: string;
    everySecondFrom: string;
    minute: string;
    minuteSince: string;
    selectedMinute: string;
    everyMinute: string;
    everyMinuteFrom: string;
    hour: string;
    hourSince: string;
    selectedHour: string;
    everyHour: string;
    everyHourFrom: string;
    day: string;
    everyDay: string;
    daySince: string;
    dayOfMonth: string;
    ofMonth: string;
    specificWeekDays: string;
    specificMonthDays: string;
    last_dayOfMonth: string;
    last_workingDayOfMonth: string;
    last_dayOfWeek: string;
    last_ofMonth: string;
    last_day: string;
    untilEndOfMonth: string;
    nearestWorkingDay: string;
    nearestToDayOfMonth: string;
    month: string;
    monthSince: string;
    selectedMonth: string;
    everyMonth: string;
    everyMonthFrom: string;
    year: string;
    yearSince: string;
    selectedYear: string;
    everyYear: string;
    everyYearFrom: string;
    weekDays: [string, string, string, string, string, string, string];
    shortWeekDays: [string, string, string, string, string, string, string];
}>>;
export declare const PRIZM_MONTHS: InjectionToken<Observable<[string, string, string, string, string, string, string, string, string, string, string, string]>>;
export declare const PRIZM_TIME_TEXTS: InjectionToken<Observable<{
    'HH:MM': string;
    'HH:MM:SS': string;
    'HH:MM:SS.MSS': string;
}>>;
export declare const PRIZM_CALENDAR_MONTHS: InjectionToken<Observable<[string, string, string, string, string, string, string, string, string, string, string, string]>>;
export declare const PRIZM_OTHER_DATE_TEXT: InjectionToken<Observable<string>>;
export declare const PRIZM_DATE_TEXTS: InjectionToken<Observable<{
    DMY: string;
    MDY: string;
    YMD: string;
}>>;
export declare const PRIZM_SPIN_TEXTS: InjectionToken<Observable<[string, string]>>;
export declare const PRIZM_SHORT_WEEK_DAYS: InjectionToken<Observable<[string, string, string, string, string, string, string]>>;
export declare const PRIZM_COLUMN_SETTINGS: InjectionToken<Observable<{
    title: string;
    subTitle: string;
    resetBtn: string;
    showAllBtn: string;
    cancelBtn: string;
    saveBtn: string;
    fixHeaderToggle: string;
    stickyLeft: string;
    stickyRight: string;
    dropzone: string;
    mainColumns: string;
    disabledHint: string;
    hideColumnHint: string;
    notHideColumnHint: string;
    showColumnHint: string;
}>>;
export declare const PRIZM_PAGINATOR: InjectionToken<Observable<{
    linesShown: string;
    fromText: string;
    linesOnPage: string;
    moreButtonLabel: string;
}>>;
export declare const PRIZM_SEARCH_TEXT: InjectionToken<Observable<string>>;
export declare const PRIZM_EMPTY_LIST_TEXT: InjectionToken<Observable<string>>;
export declare const PRIZM_TIME_PAGINATION: InjectionToken<Observable<{
    hours: string;
    minutes: string;
    seconds: string;
}>>;
export declare const PRIZM_TIME_PICKER: InjectionToken<Observable<{
    applyButton: string;
    cancelButton: string;
}>>;
export declare const PRIZM_DIALOG_KIT: InjectionToken<Observable<{
    confirm: string;
    cancel: string;
    continue: string;
    quit: string;
}>>;
